Skip to content

The app this token belongs to

GET
/v1/app
curl --request GET \
--url https://api.threadkite.app/v1/app \
--header 'Authorization: Bearer <token>'
Media typeapplication/json
object
id
required
string format: uuid
slug
required
string
name
required
string
requestedScopes
required
Array<string>
Allowed values: organisation:read locations:read locations:write members:read members:write items:read items:write leads:write contacts:read contacts:write contacts:delete companies:read companies:write companies:delete threads:read threads:write messages:read messages:write tasks:read tasks:write appointments:read appointments:write events:read events:write records:read records:write flows:read flows:write segments:read reports:read reports:write sales:read sales:write imports:read imports:write webhooks:manage

Example

{
"requestedScopes": [
"organisation:read"
]
}

Missing or invalid app token (code invalid_app_token)

Media typeapplication/json
object
statusCode
required
number
code
required

Stable machine-readable reason

string
message
required
string
errors

With code invalid: every problem with the request, by field (message is the first)

Array<object>
object
path
required

Dotted path inside the item, e.g. attributes.price.amountMinor

string
message
required
string

Example

{
"statusCode": 403,
"code": "forbidden",
"message": "You do not have permission to do that.",
"errors": [
{
"message": "Enter the make"
}
]
}

Rate limit reached

Media typeapplication/json
object
statusCode
required
number
code
required

Stable machine-readable reason

string
message
required
string
retryAfter
required

Seconds until another request will be accepted

number

Example

{
"statusCode": 429,
"code": "rate_limited",
"message": "Too many requests. Each key can make 120 requests a minute; try again in 12 seconds.",
"retryAfter": 12
}